Bug 51603 - 0.7.4: build failure: /usr/bin/ld: cannot find -lpolkit-backend-1
Summary: 0.7.4: build failure: /usr/bin/ld: cannot find -lpolkit-backend-1
Status: RESOLVED NOTABUG
Alias: None
Product: PackageKit
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Richard Hughes
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-30 13:11 UTC by Olav Vitters
Modified: 2018-08-21 15:53 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Olav Vitters 2012-06-30 13:11:23 UTC
copying selected object files to avoid basename conflicts...
  CCLD   packagekitd
/usr/bin/ld: cannot find -lpolkit-backend-1
collect2: error: ld returned 1 exit status
make[4]: *** [packagekitd] Error 1
make[4]: *** Waiting for unfinished jobs....
make[4]: Leaving directory `/home/iurt/rpm/BUILD/PackageKit-0.7.4/src'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/home/iurt/rpm/BUILD/PackageKit-0.7.4/src'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/home/iurt/rpm/BUILD/PackageKit-0.7.4/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/iurt/rpm/BUILD/PackageKit-0.7.4'
make: *** [all] Error 2
error: Bad exit status from /home/iurt/rpm/tmp/rpm-tmp.K35aFk (%build)
Comment 2 Olav Vitters 2012-06-30 13:16:52 UTC
Verbose build at:

http://pkgsubmit.mageia.org/uploads/failure/cauldron/core/release/20120630201246.ovitters.valstar.24831/log/packagekit-0.7.4-1.mga3/build.0.20120630201301.log

Note: Mageia uses very new gcc and as needed linking.
Comment 3 Richard Hughes 2012-07-02 01:07:50 UTC
You need to use a newer release, or to cherry pick this commit:

commit 1ae66042cb0ded1455617aba4b82fe8053794ca1
Author: Richard Hughes <richard@hughsie.com>
Date:   Fri Jun 8 12:22:17 2012 +0100

    Drop the unused polkit-backend-1 check from configure as it's gone upstream

:100644 100644 93af2d7... 734681d... M  configure.ac

--

What version of PK are you using?
Comment 4 Olav Vitters 2012-07-02 01:10:03 UTC
0.7.4, as mentioned in the bugreport. Stupidly didn't notice the newer versions, I'll try now.
Comment 5 Olav Vitters 2012-07-02 01:25:47 UTC
0.8.1 fails while building the urpmi backend:
http://pkgsubmit.mageia.org/uploads/failure/cauldron/core/release/20120702081045.ovitters.valstar.3369/log/packagekit-0.8.1-1.mga3/build.0.20120702081058.log
0.8.x seems like a big change, so as it doesn't build, tried 0.7.5.

0.7.5 needed the patch.

Note: your website refers to gitorious (IIRC) instead of freedesktop.org for the git location. This is partly why I didn't notice any newer version.
Comment 6 Richard Hughes 2018-08-21 15:53:08 UTC
We moved the upstream bugtracker to GitHub a long time ago. If this issue still affects you please re-create the issue here: https://github.com/hughsie/PackageKit/issues
 
Sorry for the impersonal message, and fingers crossed your issue no longer happens. Thanks.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.